org.apache.sling.maven.projectsupport

## Class AttachPartialBundleListMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.apache.sling.maven.projectsupport.AbstractBundleListMojo
    - - org.apache.sling.maven.projectsupport.AttachPartialBundleListMojo

All Implemented Interfaces:
  org.apache.maven.plugin.ContextEnabled, org.apache.maven.plugin.Mojo

    @Mojo(name="attach-partial-bundle-list",
          defaultPhase=PACKAGE,
          requiresDependencyResolution=TEST)
    public class AttachPartialBundleListMojo
    extends AbstractBundleListMojo

Attaches the bundle list as a project artifact.

### Field Summary

Fields
`static String` `CLASSIFIER`
`static String` `CONFIG_CLASSIFIER`
`static String` `CONFIG_TYPE`
`static String` `SLING_COMMON_BOOTSTRAP`
`static String` `SLING_COMMON_PROPS`
`static String` `SLING_STANDALONE_BOOTSTRAP`
`static String` `SLING_STANDALONE_PROPS`
`static String` `SLING_WEBAPP_BOOTSTRAP`
`static String` `SLING_WEBAPP_PROPS`
`static String` `TYPE`

### Fields inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`bundleListFile, commonSlingBootstrap, commonSlingProps, ignoreBundleListConfig, mavenSession, PARTIAL, project, projectHelper, standaloneSlingBootstrap, standaloneSlingProps, webappSlingBootstrap, webappSlingProps`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`AttachPartialBundleListMojo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`

### Methods inherited from class org.apache.sling.maven.projectsupport.AbstractBundleListMojo

`copyDirectory, getArtifact, getArtifact, getConfigDirectory`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONFIG_CLASSIFIER

    public static final String CONFIG_CLASSIFIER

See Also:
  Constant Field Values

#### CONFIG_TYPE

    public static final String CONFIG_TYPE

See Also:
  Constant Field Values

#### CLASSIFIER

    public static final String CLASSIFIER

See Also:
  Constant Field Values

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

#### SLING_COMMON_PROPS

    public static final String SLING_COMMON_PROPS

See Also:
  Constant Field Values

#### SLING_COMMON_BOOTSTRAP

    public static final String SLING_COMMON_BOOTSTRAP

See Also:
  Constant Field Values

#### SLING_WEBAPP_PROPS

    public static final String SLING_WEBAPP_PROPS

See Also:
  Constant Field Values

#### SLING_WEBAPP_BOOTSTRAP

    public static final String SLING_WEBAPP_BOOTSTRAP

See Also:
  Constant Field Values

#### SLING_STANDALONE_PROPS

    public static final String SLING_STANDALONE_PROPS

See Also:
  Constant Field Values

#### SLING_STANDALONE_BOOTSTRAP

    public static final String SLING_STANDALONE_BOOTSTRAP

See Also:
  Constant Field Values

### Constructor Detail

#### AttachPartialBundleListMojo

    public AttachPartialBundleListMojo()

### Method Detail

#### execute

    public void execute()
                 throws org.apache.maven.plugin.MojoExecutionException,
                        org.apache.maven.plugin.MojoFailureException

Throws:
  `org.apache.maven.plugin.MojoExecutionException`
  `org.apache.maven.plugin.MojoFailureException`